Email Accounts

Assign Tags to Email Accounts

POST/v1/email-accounts/tags/assign
POST
/v1/email-accounts/tags/assign

Assign Tags to Email Accounts

Assign one or more tags to one or more email accounts. Additive — existing tags on the accounts are kept. Unknown tag names are created automatically. Pass a single id in emailAccountIds to tag just one account. Returns the affected accounts with their updated tags.

Authorization

X-Api-Key<token>

In: header

Request Body

application/jsonRequired

emailAccountIdsarray<number>

Email account ids to modify. Pass a single id to tag/untag just one account.

Example: [123,456]

tagsarray<string>

Tag names to assign or unassign. On assign, unknown names are created; on unassign, names that are unknown or not currently assigned are ignored.

Example: ["Q3-outreach","US"]

Responses

200
200 response
[
  {
    "id": 0,
    "fromEmail": "string",
    "fromName": "string",
    "type": "gmail",
    "status": "active",
    "createdAt": "string",
    "workspaceId": null,
    "tags": [
      "Q3-outreach",
      "US"
    ]
  }
]

Request

curl -X POST \
  "https://lupus-edge.trulyinbox.com/v1/email-accounts/tags/assign" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "emailAccountIds": [
    123,
    456
  ],
  "tags": [
    "Q3-outreach",
    "US"
  ]
}'

Response

No response body